/**
 * 创建媒体图片元素
 * @param url 图片链接地址
 * @returns 返回一个 A 标签元素
 */
export function createPicture(url: string): HTMLAnchorElement

/**
 * 创建一个音频播放元素
 * @param mime 音频类型，如 `audio/amr`、`audio/ogg`
 * @param url 音频 url
 */
export function createAudio(mime: string, url: string): HTMLAudioElement | HTMLDivElement

/**
 * 创建一个视频播放元素
 * @param url 视频 url
 */
export function createVideo(url: string): HTMLVideoElement

/**
 * 创建一个 pdf 文件元素
 * @param url pdf 文件 url
 */
export function createPdf(url: string): HTMLDivElement

/**
 * 创建一个 smil 文件元素
 * @param url smil 文件 url
 */
export function createSmilefile(url: string): HTMLDivElement

/**
 * 创建一个 vcard 文件元素
 * @param url vcard 文件 url
 */
export function createVcard(url: string): HTMLDivElement

/**
 * 创建一个不支持的视频文件元素
 * @param url 视频 url
 */
export function createVideofile(url: string): HTMLDivElement

/**
 * 创建一个通用文件元素
 * @param url 文件 url
 */
export function createFile(url: string): HTMLDivElement